Bug 810346 - Anaconda gives no option to upgrade GRUB2 on /dev/sdx when installing via USB media
Anaconda gives no option to upgrade GRUB2 on /dev/sdx when installing via USB...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 12:27 EDT by Christian Schramm
Modified: 2013-01-10 01:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 17:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Schramm 2012-04-05 12:27:53 EDT
Description of problem:
When upgrading F16 to F17 Beta via USB media, Anaconda either gave the option to to not change bootloader configuration (which resulted in not being able to boot into F17), or reinstalling GRUB2  either on /dev/sdb (the USB
stick) or /dev/sda6 (fedora's partition on my hard disk), but not /dev/sda, where it should belong.

Version-Release number of selected component (if applicable):
17.18-1 I guess

How reproducible:
always

Steps to Reproduce:
1. Start upgrade to F17 Beta via USB installer media
2. Continue to bootloader configuration dialog
3. 
  
Actual results:
See no option to install GRUB on MBR on /dev/sdx (in my case: /dev/sda)

Expected results:
Have an option to install GRUB on MBR on /dev/sdx (in my case: /dev/sda)

Additional info:
I ended up *not* updating bootloader configuration, booted via USB install media into rescue mode, chrooted my HD installation of fedora, and did 'grub2-mkconfig -o /boot/grub2/grub.conf'
Comment 1 Adam Williamson 2012-04-17 19:54:26 EDT
This is almost certainly a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=809342 . What Beta candidate did you install with exactly?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Christian Schramm 2012-04-18 04:11:37 EDT
I was pretty sure that it was RC3, but after reading (in https://bugzilla.redhat.com/show_bug.cgi?id=809342) that it's supposed to be fixed in RC3 I'm not so sure anymore. I have the iso laying around; is there a simple way to find out what RC it is?
Comment 3 Jesse Keating 2012-04-18 09:51:25 EDT
You can check the sha256sum of the iso against those that were posted for the RCs to figure out which one you have.

Note You need to log in before you can comment on or make changes to this bug.